Skip navigation

HT1338: OS X: Updating OS X and Mac App Store apps

Learn about OS X: Updating OS X and Mac App Store apps

HT1338 I am trying to install itunes and firefox however when I Download the dmg files it says the archetecture does not support the versions of the files I have downloaded. How can I fix this?

298 Views 1 Reply Latest reply: Nov 29, 2012 9:01 AM by mende1 RSS
saasen Calculating status...
Currently Being Moderated
Nov 29, 2012 8:58 AM

I have a mac mini with osx v 10.5.8 and I am trying to install itunes and firefox however when I Download the dmg files it says the archetecture does not support the versions of the files I have downloaded. How can I fix this so that I can install versions of programs that will allow me to utilize my mac? I have all the software updates downloaded and installed bu the issue persists.

Mac mini, Mac OS X (10.5.8)

Actions

More Like This

  • Retrieving data ...

Bookmarked By (0)

Legend

  • This solved my question - 10 points
  • This helped me - 5 points
This site contains user submitted content, comments and opinions and is for informational purposes only. Apple disclaims any and all liability for the acts, omissions and conduct of any third parties in connection with or related to your use of the site. All postings and use of the content on this site are subject to the Apple Support Communities Terms of Use.